
Redmine - Defect #20251

test/ui/timelog_test_ui.rb always fail on trunk

2015-07-06 13:38 - Toshi MARUYAMA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

On trunk r14391:

https://travis-ci.org/marutosi/redmine-bb/jobs/69082004#L2202

  1) Failure:

Redmine::UiTest::TimelogTest#test_changing_project_should_update_activities

 [/home/travis/build/marutosi/redmine-bb/test/ui/timelog_test_ui.rb:41]:

Failed assertion, no message given.

Associated revisions

Revision 14415 - 2015-07-06 13:46 - Toshi MARUYAMA

travis: allow ui test failure on postgresql (#20251)

Revision 14522 - 2015-08-29 09:12 - Toshi MARUYAMA

travis: allow ui test failure on all environments (#20251)

Refer:

https://github.com/travis-ci/travis-ci/issues/3225

Revision 14523 - 2015-08-29 09:21 - Toshi MARUYAMA

Merged r14415 and r14522 from trunk to 3.1-stable (#20251)

travis: allow ui test failure.

Refer:

https://github.com/travis-ci/travis-ci/issues/3225

History

#1 - 2015-07-25 08:48 - Jean-Philippe Lang

The test always passes for me with postgresql. Tested with phantomjs 1.8.1 and 2.0.0.

#2 - 2015-07-25 10:15 - Toshi MARUYAMA

- Target version deleted (3.1.0)

I will try later.

Add support for PhantomJS 2.0

https://github.com/travis-ci/travis-ci/issues/3225

#3 - 2020-03-26 03:21 - Toshi MARUYAMA

- Status changed from New to Closed

r16769 changed PhantomJS to ChromeDriver.
